package com.philisense.www.service.impl;


import com.philisense.www.dao.ProSystemDAO;
import com.philisense.www.service.ProSystemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProSystemServiceImpl implements ProSystemService {

@Autowired
private ProSystemDAO proSystemDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proSystemDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proSystemDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proSystemDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proSystemDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proSystemDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proSystemDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proSystemDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proSystemDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proSystemDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proSystemDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proSystemDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proSystemDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proSystemDAO.updateBatch(list);
}
}